org.deidentifier.arx.algorithm

## Class FLASHPhaseConfiguration

- java.lang.Object
- - org.deidentifier.arx.algorithm.FLASHPhaseConfiguration

    public class FLASHPhaseConfiguration
    extends java.lang.Object

This class parameterizes a phase the interwoven two-phase Flash algorithm.

Author:
  Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

Nested Classes
`static class` `FLASHPhaseConfiguration.PhaseAnonymityProperty` The main anonymity property.

### Constructor Summary

Constructors
Constructor and Description
`FLASHPhaseConfiguration(FLASHPhaseConfiguration.PhaseAnonymityProperty anonymityProperty, DependentAction triggerTag, DependentAction triggerCheck, DependentAction triggerEvaluate, DependentAction triggerSkip)` Creates a configuration for an active phase.

### Method Summary

All Methods Instance Methods Concrete Methods
`FLASHPhaseConfiguration.PhaseAnonymityProperty` `getAnonymityProperty()` Getter: The main anonymity property.
`DependentAction` `getTriggerCheck()` Getter: A trigger for checking nodes in this phase.
`DependentAction` `getTriggerEvaluate()` Getter: A trigger for evaluating nodes in this phase.
`DependentAction` `getTriggerSkip()` Getter: A trigger for skipping nodes in this phase.
`DependentAction` `getTriggerTag()` Getter: A trigger for tagging nodes in this phase.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FLASHPhaseConfiguration

    public FLASHPhaseConfiguration(FLASHPhaseConfiguration.PhaseAnonymityProperty anonymityProperty,
                                   DependentAction triggerTag,
                                   DependentAction triggerCheck,
                                   DependentAction triggerEvaluate,
                                   DependentAction triggerSkip)

Creates a configuration for an active phase.

Parameters:
  `anonymityProperty` -
  `triggerTag` -
  `triggerCheck` -
  `triggerEvaluate` -
  `triggerSkip` -

### Method Detail

#### getAnonymityProperty

    public FLASHPhaseConfiguration.PhaseAnonymityProperty getAnonymityProperty()

Getter: The main anonymity property.

Returns:

#### getTriggerCheck

    public DependentAction getTriggerCheck()

Getter: A trigger for checking nodes in this phase.

Returns:

#### getTriggerEvaluate

    public DependentAction getTriggerEvaluate()

Getter: A trigger for evaluating nodes in this phase.

Returns:

#### getTriggerSkip

    public DependentAction getTriggerSkip()

Getter: A trigger for skipping nodes in this phase.

Returns:

#### getTriggerTag

    public DependentAction getTriggerTag()

Getter: A trigger for tagging nodes in this phase.

Returns: